Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

GetMdevDeviceCandidates

GetMdevDeviceCandidates

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • clusterUuidsList

    Optional. The cluster UUID list.

  • hostUuidString

    Optional. The host UUID.

  • vmInstanceUuidString

    Optional. The VM instance UUID.

  • typesList

    Optional. The MDEV device types.

  • systemTagsList

    Optional. The system tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentUuidStringRequired

      The UUID of the physical PCI device.

    • hostUuidStringRequired

      The host UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • mdevSpecUuidStringRequired

      The UUID of the MDEV device specification.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMdevDeviceTypeRequired

      See type.

      • GPU_Video_ControllerMdevDeviceTypeRequired

        The GPU video controller.

    • stateMdevDeviceStateRequired

      See state.

      • EnabledMdevDeviceStateRequired

        The MDEV device is enabled.

      • DisabledMdevDeviceStateRequired

        The MDEV device is disabled.

    • statusMdevDeviceStatusRequired

      See status.

      • ActiveMdevDeviceStatusRequired

        The MDEV device is active.

      • AttachedMdevDeviceStatusRequired

        The MDEV device is attached.

Endpoint

GET/zstack/v1/mdev-devices/candidates

/zstack/v1/mdev-devices/candidates

Operation ID

GetMdevDeviceCandidates

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/mdev-devices/candidates?clusterUuids=<clusterUuids>&hostUuid=<hostUuid>&vmInstanceUuid=<vmInstanceUuid>&types=<types>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4dd1f251873b4173939179c29b864df0", "name": "GRID M60-2A", "parentUuid": "36ff3d337d644bb9803f6599ec77189c", "hostUuid": "f1c21432e12245e78ee05324bb0886b4", "mdevSpecUuid": "8c9ddca8f93d4457acf78194986f8034", "type": "GPU_Video_Controller", "state": "Enabled", "status": "Active", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history